Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List the alert feed

The open alerts the signed-in user may see, most recently seen first (up to 50), with their own seen / read state and the number of alerts they have not seen yet.

GET/alerts
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
seller_idinteger

Defaults to the token's seller when it only has one.

Responses
200

Feed

403

Not a user token, or no access to the seller

422

seller_id is required (the token has several sellers)

Try it
Server
Authorization
Parameters
Request
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/alerts?seller_id=1"
Response
{
  "total_items": 1,
  "unseen_count": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/alerts?seller_id=1"
    },
    "shops:mark_alerts_seen": {
      "href": "https://api.onbolder.com/v2/alerts/seen?seller_id=1",
      "method": "post"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 12,
        "topic": "product.sold_out",
        "severity": "warning",
        "message": "Polera azul está agotado",
        "count": 1,
        "shop_id": 3,
        "source_type": "Product",
        "source_id": 458,
        "first_seen_at": "2026-10-20T13:02:11Z",
        "last_seen_at": "2026-10-20T13:02:11Z",
        "seen": false,
        "read": false,
        "_links": {
          "shops:mark_alert_read": {
            "href": "https://api.onbolder.com/v2/alerts/12/read",
            "method": "post"
          }
        }
      }
    ]
  }
}

Was this page helpful?